Bug 219297 - cad/freehdl: fails to build with lang/gcc6 or later
Summary: cad/freehdl: fails to build with lang/gcc6 or later
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Raphael Kubo da Costa
URL:
Keywords:
Depends on:
Blocks: 219275
  Show dependency treegraph
 
Reported: 2017-05-14 22:30 UTC by Jan Beich
Modified: 2019-08-11 14:28 UTC (History)
3 users (show)

See Also:
rakuco: maintainer-feedback-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-05-14 22:30:23 UTC
v2cc-expr.cc: In function 'bool m_emit_expr(pIIR_AbstractLiteralExpression, std::__cxx11::string&, RegionStack&, id_type)':
v2cc-expr.cc:605:46: error: call of overloaded 'to_string(double&)' is ambiguous
  to_string (folded_value(ale).double_value ());
                                              ^
In file included from v2cc-expr.cc:18:0:
v2cc-util.h:246:1: note: candidate: std::__cxx11::string to_string(T) [with T = double; std::__cxx11::string = std::__cxx11::basic_string<char>]
 to_string(T i)
 ^~~~~~~~~
v2cc-util.h:254:1: note: candidate: std::__cxx11::string to_string(double)
 to_string(double i)
 ^~~~~~~~~
In file included from /usr/local/lib/gcc6/include/c++/string:52:0,
                 from /usr/local/lib/gcc6/include/c++/bits/locale_classes.h:40,
                 from /usr/local/lib/gcc6/include/c++/bits/ios_base.h:41,
                 from /usr/local/lib/gcc6/include/c++/ios:42,
                 from /usr/local/lib/gcc6/include/c++/ostream:38,
                 from /usr/local/lib/gcc6/include/c++/iostream:39,
                 from ../freehdl/fire-types.h:6,
                 from ../freehdl/fire.h:4,
                 from ../freehdl/vaul-chunk.h:6,
                 from ../freehdl/vaul-lexer.h:27,
                 from ../freehdl/vaul-dfile.h:27,
                 from ../freehdl/vaul.h:8,
                 from v2cc-expr.cc:15:
/usr/local/lib/gcc6/include/c++/bits/basic_string.h:5507:3: note: candidate: std::__cxx11::string std::__cxx11::to_string(long double)
   to_string(long double __val)
   ^~~~~~~~~
/usr/local/lib/gcc6/include/c++/bits/basic_string.h:5498:3: note: candidate: std::__cxx11::string std::__cxx11::to_string(double)
   to_string(double __val)
   ^~~~~~~~~
/usr/local/lib/gcc6/include/c++/bits/basic_string.h:5489:3: note: candidate: std::__cxx11::string std::__cxx11::to_string(float)
   to_string(float __val)
   ^~~~~~~~~
/usr/local/lib/gcc6/include/c++/bits/basic_string.h:5483:3: note: candidate: std::__cxx11::string std::__cxx11::to_string(long long unsigned int)
   to_string(unsigned long long __val)
   ^~~~~~~~~
/usr/local/lib/gcc6/include/c++/bits/basic_string.h:5477:3: note: candidate: std::__cxx11::string std::__cxx11::to_string(long long int)
   to_string(long long __val)
   ^~~~~~~~~
/usr/local/lib/gcc6/include/c++/bits/basic_string.h:5471:3: note: candidate: std::__cxx11::string std::__cxx11::to_string(long unsigned int)
   to_string(unsigned long __val)
   ^~~~~~~~~
/usr/local/lib/gcc6/include/c++/bits/basic_string.h:5466:3: note: candidate: std::__cxx11::string std::__cxx11::to_string(long int)
   to_string(long __val)
   ^~~~~~~~~
/usr/local/lib/gcc6/include/c++/bits/basic_string.h:5460:3: note: candidate: std::__cxx11::string std::__cxx11::to_string(unsigned int)
   to_string(unsigned __val)
   ^~~~~~~~~
/usr/local/lib/gcc6/include/c++/bits/basic_string.h:5455:3: note: candidate: std::__cxx11::string std::__cxx11::to_string(int)
   to_string(int __val)
   ^~~~~~~~~

build log: http://sprunge.us/BEKc
Comment 1 commit-hook freebsd_committer 2017-08-02 15:41:34 UTC
A commit references this bug:

Author: rakuco
Date: Wed Aug  2 15:40:46 UTC 2017
New revision: 447114
URL: https://svnweb.freebsd.org/changeset/ports/447114

Log:
  Explicitly build with -std=gnu++03.

  GCC 6 changed its default from -std=gnu++03 to -std=gnu++14, and this port's
  code is not compatible with C++11. Since the project looks abandoned upstream,
  it makes more sense to just continue building with an older C++ standard.

  PR:		219297
  Approved by:	portmgr (blanket approval)

Changes:
  head/cad/freehdl/Makefile